Search Discussions:
Showing results for 
Search instead for 
Do you mean 
Advanced Search...
Welcome to Nokia Support Discussions! Here you can share advice and tips with thousands of other Nokia users around the world in English. Many Nokia employees also follow and participate in the discussions, see our guidelines for more information. Everyone can search and read the discussions, but to post your own question or reply to others, simply sign in with your Nokia account. If this is your first time here, you can choose an alias to represent you. And if you don't have a Nokia account yet, please register.
Reply

Re: E72: fring / skype - VoIPAudioSrv version con...

Sage
Posts: 177

E72: fring / skype - VoIPAudioSrv version conflict issue

I'm trying out fring and Skype on the Nokia E72.

 

After fring installation (Fring v4.1.12), tried the Fring Test Call and it worked.

 

Next, I installed Skype v1.0.2, then tried the Skype Echo Test Call, which also worked.

 

After going back to Fring to test it more, I notice that fring calls don't work anymore (no error message, but there's no sound.)  Reinstalling Fring will make Fring work.

 

But after Fring re-install, I fire up Skype, now Skype's Echo Test Call won't work (shows some error). The chat messaging of Fring and Skype appears to work though.

 

~~~

 

After the few re-installations, I notice that Fring installs VoIPAudioSrv v2.02

whereas Skype installs VoIPAudioSrv v1.00.

 

Skype works when VoIPAudioSrv is v1.00 (but doesn't work with v2.02)

whereas Fring works when VoIPAudioSrv is v2.02 (no sound with v1.00).

 

Seems like it's not possible to make both work at the same time, or maybe is there some way for 2 versions of VoIPAudioSrv to be installed (eg. one copy installed in the Skype directory while the other in the Fring directory)?

Please use plain text.
Mobile Overlord
grschinon
Posts: 10,192

Re: E72: fring / skype - VoIPAudioSrv version conflict issue

Stick with fring alone. You can use skype with fring anyway.

 

Does the VoIPAudioSrv thing not interfere with the E72's built-in VoIP service? Since I rely on VoIP/SIP (THE main reason why I chose the E72), I'm reluctant to install either fring or skype in case it kills off the native VoIP service.

Was this post helpful? If so, please click on the white "Kudos!" star below. Thank you!

Please use plain text.
Sage
Posts: 177

Re: E72: fring / skype - VoIPAudioSrv version conflict issue


grschinon wrote:

Stick with fring alone. You can use skype with fring anyway.

 

Does the VoIPAudioSrv thing not interfere with the E72's built-in VoIP service? Since I rely on VoIP/SIP (THE main reason why I chose the E72), I'm reluctant to install either fring or skype in case it kills off the native VoIP service.


E72's built-in VoIP Service?  I haven't tried that feature yet.  How does it work? Does this need to be supported by the telecom service provider?

 

Also, I've notice the SIP profile in the settings of the E72, however, I don't know what's a SIP profile nor what I should configure it to.  What does SIP do?

Please use plain text.
Mobile Overlord
grschinon
Posts: 10,192

Re: E72: fring / skype - VoIPAudioSrv version conflict issue

SIP is the protocol (Session Initiation Protocol) that is used to set up a point-to-point session for real-time communications. It can be used for several things, one of which is VoIP.

 

The communication takes place over an internet-type connection, so you need to have either of the following for it to work:

 

1) WLAN access (the E72 does have this)

 

2) Packet data with sufficient speed (3G or 3.5G) and authorization from the network operator to use it for VoIP (most of the time it is forbidden).

 

You need to get service from a VoIP provider. SIPGate is popular in several countries. I use voiptalk.org myself.

 

Optionally, if you have multiple SIP-capable devices at home (I do), you can set up a server running asterisk, have that connect to your VoIP provider and use it as a PBX to which all your SIP phones are connected, allowing you to pick up the call with any one of them and transfer calls between them, set up conference calls etc.

 

The SIP profile on the E72 is a collection of settings that allow your phone to connect to the SIP server: login, password, server name, proxy, transport protocol etc.

 

In order to be able to use VoIP over this SIP connection you need a small application from forum.nokia.com available here (you want the SIP VoIP 3.x Settings app for the E72). This will set up a new "Advanced VoIP Settings" entry under menu > control panel > net settings.

Was this post helpful? If so, please click on the white "Kudos!" star below. Thank you!

Please use plain text.
Sage
kokeropie
Posts: 147

Re: E72: fring / skype - VoIPAudioSrv version conflict issue

@  grschinon,

 

Thank you for the enlightment regarding SIP and VoIP.  Can SIP be used to call fixed line phone or to mobile phone directly?  Or only to the same SIP users. I use fring for Intenet call, but I use only to call Skype or Fring contacts.  If I want to use to call directly to fixed or mobile phone, it will give options Cellular call or SkypeOut call.  Does Gizmo is one of the SIP provider?

 

Thanks in advance.

Please use plain text.
New Member
chingck
Posts: 2

Re: E72: fring / skype - VoIPAudioSrv version conflict issue

I have try using the Internet Phone on the E72 via wifi. Voiztech is the provider from Malaysia.

Try to use 3G but can't seem to log in.

Kindly advise how should I go about to get access using 3G instead of just using wifi.

 

Thanks

Please use plain text.
Mobile Overlord
grschinon
Posts: 10,192

Re: E72: fring / skype - VoIPAudioSrv version conflict issue

[ Edited ]

@kokeropie:

 

Sorry for the belated reply, I've been more than a bit busy lately.

 

To find out what numbers you can call through your SIP provider, you need to ask that provider. Most of the time they do indeed allow calls to the PSTN and at a very competitive rate. Calls to other SIP numbers on the same provider are usually free.

 

Skype, fring and gizmo are NOT SIP providers. They all use proprietary communications protocols that mean that you have to use their software to place calls using their service, and you can only use their protocol to contact their users. Some of these software packages do implement other protocols. For example, you can use fring to place skype calls (both voice and video), but it is still using skype protocol. You wouldn't be able to use SIP to place a skype call or even just call a skype user.

Was this post helpful? If so, please click on the white "Kudos!" star below. Thank you!

Please use plain text.
New Member
salmonito
Posts: 7

Re: E72: fring / skype - VoIPAudioSrv version conflict issue

I tried countless reinstalls of either Skype or Fring and reboots, nothing helped. Some people in forums report that they could make it work on e72 with reinstalls and not letting Fring install VoIPAudioSrv 2.0. I simply cannot make it work. I have Skype version 1.0.2 Fring 4.2.7, e72 with latest updates. This VoIPAudioSrv conflict is crazy. If anyone have another solution other than to reinstalling one or the other, please share. Thanks

Please use plain text.
Mobile Overlord
grschinon
Posts: 10,192

Re: E72: fring / skype - VoIPAudioSrv version conflict issue

The easy solution is to install fring only since it will log into skype and let you place/receive skype calls anyway. Both voice and video.

Was this post helpful? If so, please click on the white "Kudos!" star below. Thank you!

Please use plain text.
New Member
salmonito
Posts: 7

Re: E72: fring / skype - VoIPAudioSrv version conflict issue

Unfortunately Fring Skype calling quality is not as good as native Skype. I wish I could leave Fring alone. I have Skype subscription and use it as my phone. It is just upsetting.

Please use plain text.
Sage
kokeropie
Posts: 147

Re: E72: fring / skype - VoIPAudioSrv version conflict issue

@grschinon,

 

thank you for the detail explanation :smileyhappy: 

 

Please use plain text.
New Member
gopia
Posts: 8

Re: E72: fring / skype - VoIPAudioSrv version conflict issue

If you select 'No' when fring asks to install v2 of the VoIPAudioSrv, and continue that way, both work.

 

VoIPAudioSrvc2
Please use plain text.
Sage
Posts: 177

Re: E72: fring / skype - VoIPAudioSrv version conflict issue

 


gopia wrote:

If you select 'No' when fring asks to install v2 of the VoIPAudioSrv, and continue that way, both work.

 

VoIPAudioSrvc2

 

Has this been verified? Which version of Fring? (Is there a newer version of Skype for Symbian lately, aside from the v1.0.2 that I tested previously?)

 

I've updated Fring to v4.2.7 lately (when I tested this version conflict, Fring was v4.1.2).

I seem to recall if VoIPAudioSrv v2 prompted to install by Fring was aborted, then Fring works, but without sound..

Please use plain text.
Registered Member
Settusurf
Posts: 1

Re: E72: fring / skype - VoIPAudioSrv version conflict issue

[ Edited ]

Did someone please give me fring  with skype inbuilt for E72........Thanks

Please use plain text.
Registered Member
abonoor2002
Posts: 1

Re: E72: fring / skype - VoIPAudioSrv version conflict issue

Hello every body,

I use skype and nimbuzz and I have the same problem, what can I do?? 

Please use plain text.
Advisor
my2cents
Posts: 10

Re: E72: fring / skype - VoIPAudioSrv version conflict issue

THIS IS SOME SICK WORKAROUND:

 

I have pulled myself the installer files

VoIPAudioSrvc_3132... = 1.0.0 and

VoIPAudioSrvc_v2.04... = 2.04

 

from legal places on the net, i.e. Nokia Developer et al.,

 

so now, by deinstalling the stack and then reinstalling the desired version I can probably (haven't had the time to try this out) use Skype and Fring without always having to reinstall the whole package...

 

Why doesn't Nokia, like everyone else, make APIs which are downward compatible instead of just deprecating functions? This is soooo mad, so eighties, whatever. Guys, wake up.

Please use plain text.
Registered Member
anooppada
Posts: 1

Re: E72: fring / skype - VoIPAudioSrv version conflict issue

how i stick fringe alone in e72?
Please use plain text.
New Member
kratoscba
Posts: 2

Re: E72: fring / skype - VoIPAudioSrv version conflict issue

hi ... for all nokia s60v3 device, the solutions is installing fring, and then installing, skype and nimbuzz for example, so the device ask, for voipaudio srv 1.01, you give the option if, so erase voip audio srv 2.02, and this so all applications will work without problems. my device is nokia n86 s60v3 fp9.3.

your device does not have to have the add voip audio srv 2.2 only has to have the version 1.01 that installs the same skype.

 

 

Please use plain text.
Ex-Moderator (Retired)
_pvn_
Posts: 105

Re: E72: fring / skype - VoIPAudioSrv version conflict issue

Please use plain text.
Registered Member
mishab
Posts: 1

Re: 6120c: fring / skype - VoIPAudioSrv version conflict issue

[ Edited ]

Dear sir

I am trying to dowload Fring in Nokia 6120c,after intallation massage is showing Install VOIPAudiosrv

but don't able install VOIPAudiosrv 

Due that fring is not working properly

Thanks 

Mirza Sharique

 

 

Moderator's Note: Phone number was removed. Please don't publish your personal contact information on a public forum.

 

Please use plain text.